Skip to main content
POST
Create service backup bucket
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Create service backup bucket. Requires ADMIN auth key role.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the requested organization.

serviceId
string<uuid>
required

ID of the requested service.

Body

application/json
bucketProvider
enum<string>

Bucket provider

Available options:
AWS
bucketPath
string

Bucket path

iamRoleArn
string

AWS Role ARN

iamRoleSessionName
string

AWS Role session name

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 9, 2026